package com.muyu.marketing.domain.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.muyu.marketing.domain.ActivityTeamInfo;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.util.Date;
import java.util.List;

/**
 * @program: 2204a-cloud-server
 * @description: 团购活动商品信息规格详情模型
 *   MengFanKuo
 *   2024-11-26 14:22
 * *
 */
@Data
@AllArgsConstructor
@SuperBuilder
@NoArgsConstructor
public class ActivityTeamInfoDetailModel {
    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private long id;
    /**
     * 拼团名称
     */
    private String name;
    /**
     * 商品ID
     */
    private long productId;
    /**
     * 商品活动图
     */
    private String productImage;
    /**
     * 活动简介
     */
    private String introduction;
    /**
     * 单位
     */
    private String unit;
    /**
     * 轮播图
     */
    private String imageList;
    /**
     * 活动结束时间
     */
    private Date endTime;
    /**
     * 活动排序
     */
    private long sort;
    /**
     * 活动详情
     */
    private String content;
    /**
     * 活动状态
     */
    private String status;
    /**
     * 策略类型
     */
    private String strategyType;
    /**
     * 策略ID
     */
    private long strategyId;
    /**
     * 规格
     */
    private List<ActivityTeamSkuInfoDetailModel> projectSkuInfoAddReqList;

    public static ActivityTeamInfoDetailModel skuInfoDetailBuild(ActivityTeamInfo activityTeamInfo, List<ActivityTeamSkuInfoDetailModel> infoServiceByListSkuInfo){
        return ActivityTeamInfoDetailModel.builder()
                .id(activityTeamInfo.getId())
                .name(activityTeamInfo.getName())
                .productId(activityTeamInfo.getProductId())
                .productImage(activityTeamInfo.getProductImage())
                .content(activityTeamInfo.getContent())
                .endTime(activityTeamInfo.getEndTime())
                .imageList(activityTeamInfo.getImageList())
                .introduction(activityTeamInfo.getIntroduction())
                .projectSkuInfoAddReqList(infoServiceByListSkuInfo)
                .sort(activityTeamInfo.getSort())
                .status(activityTeamInfo.getStatus())
                .strategyId(activityTeamInfo.getStrategyId())
                .strategyType(activityTeamInfo.getStrategyType())
                .build();
    }

}
