package com.muyu.marketing.domain.model;

import com.muyu.marketing.domain.ActivityTeamProductSkuInfo;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.math.BigDecimal;
import java.util.function.Supplier;

/**
 * 拼团规格sku添加模型
 *   MengFanKuo
 *   2024-11-27 15:30
 * *
 */
@Data
@SuperBuilder
@AllArgsConstructor
@NoArgsConstructor
public class ActivityTeamSkuAddModel {
    /**
     * 活动ID
     */
    private long teamId;
    /**
     * 商品ID
     */
    private Long productId;
    /**
     * 拼团sku
     */
    private String sku;
    /**
     * 商品价格
     */
    private BigDecimal productPrice;
    /**
     * 拼团价格
     */
    private BigDecimal teamPrice;

    /**
     * 拼团库存
     */
    private Long teamStock;
    public static ActivityTeamSkuAddModel infolBuild(ActivityTeamProductSkuInfo productSkuInfo, Supplier<Long> productId){
        return ActivityTeamSkuAddModel.builder()
                .sku(productSkuInfo.getProductSku())
                .productId(productId.get())
                .teamPrice(productSkuInfo.getTeamPrice())
                .teamStock(productSkuInfo.getTeamStock())
                .build();
    }
}
