package com.muyu.marketing.domain.model;

import com.muyu.marketing.domain.req.ProjectSkuInfoUpdReq;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.math.BigDecimal;

/**
 * @program: 2204a-cloud-server
 * @description: 拼团商品sku模型
 *   MengFanKuo
 *   2024-11-26 15:53
 * *
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@SuperBuilder
public class ActivityTeamSkuInfoModel {
    /**
     * id
     */
    private Long id;

    /**
     * 拼团价格
     */
    private BigDecimal teamPrice;

    /**
     * 拼团库存
     */
    private Long teamStock;
    public static ActivityTeamSkuInfoModel infoModelBuild(ProjectSkuInfoUpdReq projectSkuInfoUpdReq){
        return ActivityTeamSkuInfoModel.builder()
                .id(projectSkuInfoUpdReq.getProductSkuId())
                .teamPrice(projectSkuInfoUpdReq.getTeamPrice())
                .teamStock(projectSkuInfoUpdReq.getTeamStock())
                .build();
    }
}
