package com.muyu.marketing.domain.req;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.muyu.common.core.web.domain.BaseEntity;

import com.muyu.marketing.domain.model.ActivityTeamInfoAddModel;
import com.muyu.marketing.domain.model.ActivityTeamProductSkuAddModel;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.util.Date;
import java.util.List;
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
public class ActivityTeamInfoSaveReq extends BaseEntity {
    /**
     * 拼团名称
     */
    private String name;
    /**
     * 商品ID
     */
    private Long productId;
    /**
     * 商品活动图
     */
    private String productImage;
    /**
     * 活动简介
     */
    private String introduction;
    /**
     * 单位
     */
    private String unit;
    /**
     * 轮播图
     */
    private String imageList;
    /**
     * 活动结束时间
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd")
    private Date endTime;
    /**
     * 活动排序
     */
    private Integer sort;
    /**
     * 商品SkU集合
     */
    private List<TeamProjectSkuInfoAddReq> teamProjectSkuInfoAddReqList;
    /**
     * 活动详情
     */
    private String content;
    /**
     * 活动状态
     */
    private String status;
    /**
     * 策略类型
     */
    private String strategyType;
    /**
     * 策略ID
     */
    private Long strategyId;

    /**
     * 请求入参转换为添加模型
     *
     */
    public  ActivityTeamInfoAddModel activityTeamInfoReqBuild(){
        return ActivityTeamInfoAddModel.builder()
                .unit(this.unit)
                .activityTeamProductSkuAddModelList(
                        this.teamProjectSkuInfoAddReqList.stream().map(projectSkuInfoAddReq -> {
                            return ActivityTeamProductSkuAddModel.addReqBuild(projectSkuInfoAddReq,()->productId);
                        }).toList())
                .strategyType(this.strategyType)
                .status(this.status)
                .name(this.name)
                .strategyId(this.strategyId)
                .endTime(this.endTime)
                .imageList(this.imageList)
                .introduction(this.introduction)
                .productId(this.productId)
                .productImage(this.productImage)
                .sort(this.sort)
                .content(this.content)
                .build();
    }
}
