package com.muyu.marketing.domain.req;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.muyu.marketing.domain.model.ActivityTeamInfoUpdModel;
import com.muyu.marketing.domain.model.ActivityTeamProductSkuUpdModel;
import com.muyu.marketing.domain.model.ActivityTeamSkuInfoModel;
import com.muyu.marketing.domain.model.ActivityTeamSkuModel;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.util.Date;
import java.util.List;

/**
 * 团购活动商品信息规格修改
 *  2024-11-26 14:22
 * *
 */
@Data
@AllArgsConstructor
@SuperBuilder
@NoArgsConstructor
public class ActivityTeamInfoUpdReq {
    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private long id;
    /**
     * 拼团名称
     */
    private String name;
    /**
     * 商品ID
     */
    private long productId;
    /**
     * 商品活动图
     */
    private String productImage;
    /**
     * 活动简介
     */
    private String introduction;
    /**
     * 单位
     */
    private String unit;
    /**
     * 轮播图
     */
    private String imageList;
    /**
     * 活动结束时间
     */
    private Date endTime;
    /**
     * 活动排序
     */
    private long sort;
    /**
     * 活动详情
     */
    private String content;
    /**
     * 活动状态
     */
    private String status;
    /**
     * 策略类型
     */
    private String strategyType;
    /**
     * 策略ID
     */
    private long strategyId;
    /**
     * 规格
     */
    /**
     * 商品SkU集合
     */
    private List<ProjectSkuInfoUpdReq> projectSkuInfoUpdReqList;
    public   ActivityTeamInfoUpdModel infoUpdModelBuild(){
        return ActivityTeamInfoUpdModel.builder()
                .id(this.id)
                .content(this.content)
                .strategyType(this.strategyType)
                .endTime(this.endTime)
                .imageList(this.imageList)
                .introduction(this.introduction)
                .productId(this.productId)
                .activityTeamSkuModel(ActivityTeamSkuModel.skuModelBuild(this.projectSkuInfoUpdReqList))
                .sort(this.sort)
                .strategyId(this.strategyId)
                .productImage(this.productImage)
                .unit(this.unit)
                .build();
    }
}
