package com.muyu.marketing.domain.req;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.math.BigDecimal;

/**
 * 拼团规格sku添加模型
 *  MengFanKuo
 *  2024-11-27 15:30
 * *
 */
@Data
@SuperBuilder
@AllArgsConstructor
@NoArgsConstructor
public class ActivityTeamSkuAddReq {
    /**
     * 活动ID
     */
    private long teamId;
    /**
     * 商品ID
     */
    private Long productId;
    /**
     * 拼团sku
     */
    private String sku;
    /**
     * 商品价格
     */
    private BigDecimal productPrice;
    /**
     * 拼团价格
     */
    private BigDecimal teamPrice;

    /**
     * 拼团库存
     */
    private Long teamStock;

}
