package com.muyu.marketing.domain.resp;

import com.muyu.marketing.domain.model.ActivityTeamSkuInfoDetailModel;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.math.BigDecimal;

/**
 * @program: 2204a-cloud-server
 * @description: 商品规格回显表
 *   MengFanKuo
 *   2024-11-26 15:20
 * *
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@SuperBuilder
public class ActivityTeamSkuInfoDetail {
    /**
     * id
     */
    private Long id;
    /**
     * 活动ID
     */
    private long teamId;
    /**
     * 商品ID
     */
    private Long productId;
    /**
     * 规格SKU
     */
    private String sku;
    /**
     * 拼团价格
     */
    private BigDecimal teamPrice;
    /**
     * 拼团库存
     */
    private Long teamStock;

    public static ActivityTeamSkuInfoDetail infoDetailBuild(ActivityTeamSkuInfoDetailModel activityTeamInfoProductSkuDetailModel){
        return ActivityTeamSkuInfoDetail.builder()
                .id(activityTeamInfoProductSkuDetailModel.getId())
                .sku(activityTeamInfoProductSkuDetailModel.getProductSku())
                .teamId(activityTeamInfoProductSkuDetailModel.getTeamId())
                .productId(activityTeamInfoProductSkuDetailModel.getProductId())
                .teamPrice(activityTeamInfoProductSkuDetailModel.getTeamPrice())
                .teamStock(activityTeamInfoProductSkuDetailModel.getTeamStock())
                .build();
    }

}
