package com.muyu.marketing.domain.model;

import com.muyu.marketing.domain.ActivityTeamProductSkuInfo;
import com.muyu.marketing.domain.req.ProjectSkuInfoUpdReq;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.math.BigDecimal;

/**
 * 拼团规格sku模型
 *   MengFanKuo
 *   2024-11-27 15:28
 * *
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@SuperBuilder
public class ActivityTeamProductSkuUpdModel {
    /**
     * id
     */
    private Long id;

    /**
     * 拼团价格
     */
    private BigDecimal teamPrice;

    /**
     * 拼团库存
     */
    private Long teamStock;
    public static ActivityTeamProductSkuUpdModel infoModelBuild(ProjectSkuInfoUpdReq projectSkuInfoUpdReq){
        return ActivityTeamProductSkuUpdModel.builder()
                .id(projectSkuInfoUpdReq.getProductSkuId())
                .teamPrice(projectSkuInfoUpdReq.getTeamPrice())
                .teamStock(projectSkuInfoUpdReq.getTeamStock())
                .build();
    }
    public static ActivityTeamProductSkuUpdModel infolBuild(ActivityTeamProductSkuInfo productSkuInfo){
        return ActivityTeamProductSkuUpdModel.builder()
                .id(productSkuInfo.getId())
                .teamPrice(productSkuInfo.getTeamPrice())
                .teamStock(productSkuInfo.getTeamStock())
                .build();
    }
}
