package com.muyu.marketing.domain.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.muyu.common.core.web.domain.BaseEntity;
import com.muyu.marketing.domain.ActivityTeamProductSkuInfo;
import com.muyu.marketing.domain.resp.ActivityTeamSkuInfoDetail;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.math.BigDecimal;

@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
@TableName(value = "activity_team_product_sku_info", autoResultMap = true)
public class ActivityTeamSkuInfoDetailModel extends BaseEntity {

  /**
   * 主键
   */
  @TableId(value = "id", type = IdType.AUTO)
  private long id;
  /**
   * 活动ID
   */
  private long teamId;
  /**
   * 商品ID
   */
  private Long productId;
  /**
   * 商品SKU
   */
  private String productSku;
  /**
   * 拼团库存
   */
  private Long teamStock;
  /**
   * 拼团价格
   */
  private BigDecimal teamPrice;

  /**
   * 通过拼团商品sku构建模型
   */
  public static ActivityTeamSkuInfoDetailModel productSkuInfoEachBuild(ActivityTeamProductSkuInfo activityTeamProductSkuInfo){
    return ActivityTeamSkuInfoDetailModel.builder()
            .id(activityTeamProductSkuInfo.getId())
            .teamId(activityTeamProductSkuInfo.getTeamId())
            .productId(activityTeamProductSkuInfo.getProductId())
            .productSku(activityTeamProductSkuInfo.getProductSku())
            .teamPrice(activityTeamProductSkuInfo.getTeamPrice())
            .teamStock(activityTeamProductSkuInfo.getTeamStock())
            .build();
  }

}
