package com.muyu.marketing.domain.model;

import com.muyu.marketing.domain.req.ActivityTeamSkuReq;
import com.muyu.marketing.domain.req.ProjectSkuInfoUpdReq;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.util.List;

/**
 * 拼团规格修改总模型
 *  MengFanKuo
 *  2024-11-27 15:32
 * *
 */
@Data
@SuperBuilder
@AllArgsConstructor
@NoArgsConstructor
public class ActivityTeamSkuModel {
    /**
     * 拼团规格修改模型集合
     */
    private List<ActivityTeamProductSkuUpdModel> activityTeamProductSkuUpdModelList;
    /**
     * 删除规格id集合
     */
    private List<Long> skuIds;
    /**
     * 添加拼团规格模型
     */
    private List<ActivityTeamSkuAddModel> activityTeamSkuAddModelList;
    public static ActivityTeamSkuModel skuModelBuild(List<ProjectSkuInfoUpdReq> projectSkuInfoUpdReqList){
        return ActivityTeamSkuModel.builder()
                .activityTeamProductSkuUpdModelList(projectSkuInfoUpdReqList.stream().map(projectSkuInfoUpdReq -> {
                    return ActivityTeamProductSkuUpdModel.infoModelBuild(projectSkuInfoUpdReq);
                }).toList())
                .build();
    }
}
