package com.muyu.marketing.team.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.common.core.web.page.TableDataInfo;
import com.muyu.marketing.domain.ActivityTeamInfo;
import com.muyu.marketing.domain.model.*;

public interface ActivityTeamInfoService extends IService<ActivityTeamInfo> {


    /**
     * 通过查询模型查询团购活动列表
     * @param activityTeamInfoListQueryModel 团购活动查询模型
     * @return 团购活动列表
     */
    public TableDataInfo<ActivityTeamInfoListModel> query(ActivityTeamInfoListQueryModel activityTeamInfoListQueryModel);

    /**
     * 通过添加模型，去进行商品拼团活动的操作
     * @param activityTeamInfoAddModel 团购添加模型
     */
    public void save(ActivityTeamInfoAddModel activityTeamInfoAddModel);
    /**
     * 同过活动id回显团购活动信息
     */
    public ActivityTeamInfoDetailModel echo(Long id);

    /**
     * 通过修改模型  去进行商品拼团活动的操作
     * @param activityTeamInfoEditModel
     */
    void edit(ActivityTeamInfoEditModel activityTeamInfoEditModel);
    /**
     * 通过修改模型  进行拼团活动的操作
     */
    public void upd(ActivityTeamInfoUpdModel activityTeamInfoUpdModel);
}
